Bug 465370 - kde4.sh micro-optimization
kde4.sh micro-optimization
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdelibs (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 17:54 EDT by Ville Skyttä
Modified: 2009-07-28 14:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 12:37:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kde4.sh micro-optimization (769 bytes, patch)
2008-10-02 17:54 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2008-10-02 17:54:41 EDT
Created attachment 319299 [details]
kde4.sh micro-optimization

Here's a tiny optimization to kde4.sh: always avoid one stat of /etc/sysconfig/prelink, and also avoid grepping it if $KDE_IS_PRELINKED is already defined.

If accepted, should also be applied to kdelibs3's kde.sh.

(BTW, I wonder if grepping /etc/sysconfig/prelink is intentionally preferred over sourcing it and then testing $PRELINKING?  grepping might be a bit fragile.)
Comment 1 Steven M. Parrish 2008-10-03 19:13:17 EDT
Rex, Kevin, Than handle this with Fedora or bump upstream?
Comment 2 Kevin Kofler 2008-10-03 19:17:31 EDT
The kde4.sh script is part of Fedora packaging.
Comment 3 Bug Zapper 2008-11-25 22:29:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Steven M. Parrish 2009-01-10 10:10:01 EST
We going to act on this or wontfix?
Comment 5 Rex Dieter 2009-01-10 11:17:38 EST
yes, it's a worthwhile sh-specific improvement (dang, and I just touched on kde4.sh yesterday).
Comment 6 Ville Skyttä 2009-01-10 12:32:57 EST
CVS ACLs allowed it so I committed this to kdelibs3 as 6:3.5.10-4 in devel (did not tag nor build).  kdelibs ACLs don't seem to allow me to do that.

When someone applies this to kde4.sh, while at it, the '-n "$QT_PLUGIN_PATH"' branch below could also be optimized a bit by invoking "kde4-config --path qtplugins" only once and reusing the result.
Comment 7 Steven M. Parrish 2009-02-04 12:27:44 EST
Ping
Comment 8 Rex Dieter 2009-02-04 12:37:25 EST
doh, forgot to close:

* Mon Jan 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.1.96-7
- Slight speedup to profile.d/kde.sh (#465370)
Comment 9 Fedora Update System 2009-07-26 04:45:22 EDT
kdelibs3-3.5.10-13.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kdelibs3-3.5.10-13.fc10
Comment 10 Fedora Update System 2009-07-28 14:28:08 EDT
kdelibs3-3.5.10-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.